function varargout = mohr_export(varargin)
% MATLAB Courseware for Machine Design by Shih-Liang (Sid) Wang
% Software Copyright 2004 by The McGraw-Hill Companies, Inc.  All rights reserved.
%
% MOHR_EXPORT M-file for mohr_export.fig
%      MOHR_EXPORT, by itself, creates a new MOHR_EXPORT or raises the existing
%      singleton*.
%
%      H = MOHR_EXPORT returns the handle to a new MOHR_EXPORT or the handle to
%      the existing singleton*.
%
%      MOHR_EXPORT('CALLBACK',hObject,eventData,handles,...) calls the local
%      function named CALLBACK in MOHR_EXPORT.M with the given input arguments.
%
%      MOHR_EXPORT('Property','Value',...) creates a new MOHR_EXPORT or raises the
%      existing singleton*.  Starting from the left, property value pairs are
%      applied to the GUI before mohr_export_OpeningFunction gets called.  An
%      unrecognized property name or invalid value makes property application
%      stop.  All inputs are passed to mohr_export_OpeningFcn via varargin.
%
%      *See GUI Options on GUIDE's Tools menu.  Choose "GUI allows only one
%      instance to run (singleton)".
%
% See also: GUIDE, GUIDATA, GUIHANDLES

% Edit the above text to modify the response to help mohr_export

% Last Modified by GUIDE v2.5 16-Apr-2003 11:03:47

% Begin initialization code - DO NOT EDIT
gui_Singleton = 1;
gui_State = struct('gui_Name',       mfilename, ...
                   'gui_Singleton',  gui_Singleton, ...
                   'gui_OpeningFcn', @mohr_export_OpeningFcn, ...
                   'gui_OutputFcn',  @mohr_export_OutputFcn, ...
                   'gui_LayoutFcn',  @mohr_export_LayoutFcn, ...
                   'gui_Callback',   []);
if nargin & isstr(varargin{1})
    gui_State.gui_Callback = str2func(varargin{1});
end

if nargout
    [varargout{1:nargout}] = gui_mainfcn(gui_State, varargin{:});
else
    gui_mainfcn(gui_State, varargin{:});
end
% End initialization code - DO NOT EDIT


% --- Executes just before mohr_export is made visible.
function mohr_export_OpeningFcn(hObject, eventdata, handles, varargin)
% This function has no output args, see OutputFcn.
% hObject    handle to figure
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
% varargin   command line arguments to mohr_export (see VARARGIN)

% Choose default command line output for mohr_export
handles.output = hObject;

% Update handles structure
guidata(hObject, handles);

% UIWAIT makes mohr_export wait for user response (see UIRESUME)
% uiwait(handles.figure1);

if strcmp(get(hObject,'Visible'),'off')
    axis off
end

% --- Outputs from this function are returned to the command line.
function varargout = mohr_export_OutputFcn(hObject, eventdata, handles)
% varargout  cell array for returning output args (see VARARGOUT);
% hObject    handle to figure
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Get default command line output from handles structure
varargout{1} = handles.output;

function pushbutton_plot_2d_Callback(hObject, eventdata, handles)
% hObject    handle to pushbutton_plot_3d_2d (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

sigma_x= str2double(get(handles.edit_sigma_x, 'String'));
sigma_y= str2double(get(handles.edit_sigma_y, 'String'));
tau_xy= str2double(get(handles.edit_tau_xy, 'String'));
   
    tau_max=sqrt(tau_xy^2+((sigma_x-sigma_y)/2).^2); %max shear stress
    sigma_1=(sigma_x+sigma_y)/2+tau_max;    %principal stresses
    sigma_2=(sigma_x+sigma_y)/2-tau_max;
    phi=0:0.01*pi:2*pi;
    x1=(sigma_1+sigma_2)/2+tau_max*cos(phi); %Mohr's circle
    y1=tau_max*sin(phi);
    x2=sigma_1/2+sigma_1/2*cos(phi);        %Mohr's circle -2nd
    y2=sigma_1/2*sin(phi);
    x3=sigma_2/2+sigma_2/2*cos(phi);        %Mohr's circle -3rd
    y3=sigma_2/2*sin(phi);
    m=max(max(abs(sigma_1/2),abs(sigma_2/2)),tau_max); %max shear stress of three circles
    
    p(1,1)=sigma_x;        p(1,2)=tau_xy; p(2,1)=sigma_y;p(2,2)=-tau_xy; % defining points on the Mohr's circle
    
    xaxis=[-1000 0;1000 0];yaxis=[0 -1000 ;0 1000]; %to draw x- and y- axes
    
    if m==tau_max
     mx= (sigma_1+sigma_2)/2;
   else
     mx= sign(sigma_1)*m;
    end

    
        plot(p(:,1), p(:,2),'-.mo', 'MarkerFaceColor', 'g')    %data points
          hold on;

        plot(x1,y1,'LineWidth',1)   %Mohr's circle
         hold on;
         plot([sigma_1, sigma_2],[0,0],'xr','LineWidth',2)% principal stresses
         hold on;
        axis ([sigma_2-1.5*m sigma_1+1.5*m -2*m 2*m])
        axis ('equal')
        hold on;
        plot((sigma_1+sigma_2)/2,tau_max,'dr')    % max shear stress
         hold on;
          
         hold on;
       plot(xaxis(:,1),xaxis(:,2), '-.c',yaxis(:,1),yaxis(:,2),'-.c','LineWidth',1)
           

       xlabel('Normal Stress')
       ylabel('Shear Stress')
          hold off;
    legend('Data Points','Biaxial Mohr Circle','Principal Stresses','Max. Shear Stres',-1);


    %set([startHndl closeHndl AeditHndl BeditHndl CeditHndl],'Enable','on');
    set(handles.edit_sigma_1,'String',num2str(sigma_1, '%6.2f'));
    set(handles.edit_sigma_2,'String',num2str(sigma_2, '%6.2f' ));
    set(handles.edit_tau_max_2d,'String',num2str(tau_max, '%6.2f'));





% --- Executes on button press in pushbutton_plot_3d.
function pushbutton_plot_3d_Callback(hObject, eventdata, handles)
% hObject    handle to pushbutton_plot_3d (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% mohr_export.m
sigma_x= str2double(get(handles.edit_sigma_x, 'String'));
sigma_y= str2double(get(handles.edit_sigma_y, 'String'));
tau_xy= str2double(get(handles.edit_tau_xy, 'String'));
   
    tau_max=sqrt(tau_xy^2+((sigma_x-sigma_y)/2).^2); %max shear stress
    sigma_1=(sigma_x+sigma_y)/2+tau_max;    %principal stresses
    sigma_2=(sigma_x+sigma_y)/2-tau_max;
    phi=0:0.01*pi:2*pi;
    x1=(sigma_1+sigma_2)/2+tau_max*cos(phi); %Mohr's circle
    y1=tau_max*sin(phi);
    x2=sigma_1/2+sigma_1/2*cos(phi);        %Mohr's circle -2nd
    y2=sigma_1/2*sin(phi);
    x3=sigma_2/2+sigma_2/2*cos(phi);        %Mohr's circle -3rd
    y3=sigma_2/2*sin(phi);
    m=max(max(abs(sigma_1/2),abs(sigma_2/2)),tau_max); %max shear stress of three circles
    
    p(1,1)=sigma_x;        p(1,2)=tau_xy; p(2,1)=sigma_y;p(2,2)=-tau_xy; % defining points on the Mohr's circle
    
    xaxis=[-1000 0;1000 0];yaxis=[0 -1000 ;0 1000]; %to draw x- and y- axes
    
    if m==tau_max
     mx= (sigma_1+sigma_2)/2;
   else
     mx= sign(sigma_1)*m;
    end
        plot(p(:,1), p(:,2),'-.mo', 'MarkerFaceColor', 'g')    %data points
          hold on;

        plot(x1,y1,'LineWidth',1)   %Mohr's circle
         hold on;
         plot([sigma_1, sigma_2],[0,0],'xr','LineWidth',2)% principal stresses
         hold on;
        axis ([sigma_2-1.5*m sigma_1+1.5*m -2*m 2*m])
        axis ('equal')
        hold on;
         plot(        mx,m,'dr')    % max shear stress
         hold on;
       plot(x2,y2,'--g', x3,y3,'--g' )    %2nd and 3rd Mohr's circle
          
         hold on;
       plot(xaxis(:,1),xaxis(:,2), '-.c',yaxis(:,1),yaxis(:,2),'-.c','LineWidth',1)
           
        axis ([sigma_2-1.5*m sigma_1+1.5*m -2*m 2*m])
        axis ('equal')
        %text(0,-1.8*m,'\bf Software copyright  \copyright 2003 by The McGraw-Hill Companies, Inc. ','HorizontalAlignment','center','VerticalAlignment','bottom')
       xlabel('Normal Stress')
       ylabel('Shear Stress')
        hold off;

    legend('Data Points','Biaxial Mohr Circle','Principal Stresses','Max. Shear Stres','Triaxial Mohr Circle',-1);

    %set([startHndl closeHndl AeditHndl BeditHndl CeditHndl],'Enable','on');
    set(handles.edit_sigma_1,'String',num2str(sigma_1, '%6.2f'));
    set(handles.edit_sigma_2,'String',num2str(sigma_2, '%6.2f' ));
    set(handles.edit_tau_max_2d,'String',num2str(tau_max, '%6.2f'));
    set(handles.edit_tau_max_3d,'String',num2str(m, '%6.2f'));
% end


% --- Executes during object creation, after setting all properties.
function edit_sigma_x_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit_sigma_x (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end



function edit_sigma_x_Callback(hObject, eventdata, handles)
% hObject    handle to edit_sigma_x (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edit_sigma_x as text
%        str2double(get(hObject,'String')) returns contents of edit_sigma_x as a double


% --- Executes during object creation, after setting all properties.
function edit_sigma_y_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit_sigma_y (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end



function edit_sigma_y_Callback(hObject, eventdata, handles)
% hObject    handle to edit_sigma_y (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edit_sigma_y as text
%        str2double(get(hObject,'String')) returns contents of edit_sigma_y as a double


% --- Executes during object creation, after setting all properties.
function edit_tau_xy_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit_tau_xy (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end



function edit_tau_xy_Callback(hObject, eventdata, handles)
% hObject    handle to edit_tau_xy (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edit_tau_xy as text
%        str2double(get(hObject,'String')) returns contents of edit_tau_xy as a double




function edit_max_m_Callback(hObject, eventdata, handles)
% hObject    handle to edit_max_m (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edit_max_m as text
%        str2double(get(hObject,'String')) returns contents of edit_max_m as a double



% --- Executes during object creation, after setting all properties.
function edit_sigma_1_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit_sigma_1 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end



function edit_sigma_1_Callback(hObject, eventdata, handles)
% hObject    handle to edit_sigma_1 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edit_sigma_1 as text
%        str2double(get(hObject,'String')) returns contents of edit_sigma_1 as a double


% --- Executes during object creation, after setting all properties.
function edit_sigma_2_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit_sigma_2 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end



function edit_sigma_2_Callback(hObject, eventdata, handles)
% hObject    handle to edit_sigma_2 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edit_sigma_2 as text
%        str2double(get(hObject,'String')) returns contents of edit_sigma_2 as a double


% --- Executes during object creation, after setting all properties.
function edit_tau_max_3d_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit_tau_max_3d (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end



function edit_tau_max_3d_Callback(hObject, eventdata, handles)
% hObject    handle to edit_tau_max_3d (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edit_tau_max_3d as text
%        str2double(get(hObject,'String')) returns contents of edit_tau_max_3d as a double


% --------------------------------------------------------------------
function file_menu_Callback(hObject, eventdata, handles)
% hObject    handle to file_menu (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)



% --------------------------------------------------------------------
function print_submenu_Callback(hObject, eventdata, handles)
% hObject    handle to print_submenu (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

printdlg(handles.figure1)

% --------------------------------------------------------------------
function exit_submenu_Callback(hObject, eventdata, handles)
% hObject    handle to exit_submenu (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

delete(handles.figure1)


% --- Executes on button press in pushbutton_plot_3d_2d.
% --- Executes during object creation, after setting all properties.
function edit_tau_max_2d_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit_tau_max_2d (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end



function edit_tau_max_2d_Callback(hObject, eventdata, handles)
% hObject    handle to edit_tau_max_2d (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edit_tau_max_2d as text
%        str2double(get(hObject,'String')) returns contents of edit_tau_max_2d as a double


% --------------------------------------------------------------------
function help_menu_Callback(hObject, eventdata, handles)
% hObject    handle to help_menu (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)


% --------------------------------------------------------------------
function about_submenu_Callback(hObject, eventdata, handles)
% hObject    handle to about_submenu (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
scrsz = get(0,'ScreenSize');
figure('name','About MATLAB for Machine Design','menubar', 'none','NumberTitle','off' ,'Position',[.6*scrsz(3)  .6*scrsz(4) scrsz(3)/4 scrsz(4)/4])
%scrsz(3) is the width; scrsz(4)is the height; the window is positioned at
%upper right corner.
axis off;
text(.46, .95,' \bf  MATLAB Courseware ','HorizontalAlignment','center','VerticalAlignment','bottom')
text(.46, .83,' \bf for ','HorizontalAlignment','center','VerticalAlignment','bottom')
text(.46, .71,' \bf  Machine Design','HorizontalAlignment','center','VerticalAlignment','bottom')
text(.46, .55,'  Release 1.0','HorizontalAlignment','center','VerticalAlignment','bottom')
text(.46, .43,' March 10, 2003','HorizontalAlignment','center','VerticalAlignment','bottom')
text(0.46, .25,'  Software copyright \copyright 2004 ','HorizontalAlignment','center','VerticalAlignment','bottom')
text(0.46, .11,' by Shih-Liang (Sid) Wang','HorizontalAlignment','center','VerticalAlignment','bottom')
text(0.46, -.09,' All rights reserved.','HorizontalAlignment','center','VerticalAlignment','bottom')


% --------------------------------------------------------------------
function overview_submenu_Callback(hObject, eventdata, handles)
% hObject    handle to overview_submenu (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

open mohr.htm


% --- Creates and returns a handle to the GUI figure. 
function h1 = mohr_export_LayoutFcn(policy)
% policy - create a new figure or use a singleton. 'new' or 'reuse'.

persistent hsingleton;
if strcmpi(policy, 'reuse') & ishandle(hsingleton)
    h1 = hsingleton;
    return;
end

h1 = figure(...
'Units','characters',...
'Color',[0.925490196078431 0.913725490196078 0.847058823529412],...
'Colormap',[0 0 0.5625;0 0 0.625;0 0 0.6875;0 0 0.75;0 0 0.8125;0 0 0.875;0 0 0.9375;0 0 1;0 0.0625 1;0 0.125 1;0 0.1875 1;0 0.25 1;0 0.3125 1;0 0.375 1;0 0.4375 1;0 0.5 1;0 0.5625 1;0 0.625 1;0 0.6875 1;0 0.75 1;0 0.8125 1;0 0.875 1;0 0.9375 1;0 1 1;0.0625 1 1;0.125 1 0.9375;0.1875 1 0.875;0.25 1 0.8125;0.3125 1 0.75;0.375 1 0.6875;0.4375 1 0.625;0.5 1 0.5625;0.5625 1 0.5;0.625 1 0.4375;0.6875 1 0.375;0.75 1 0.3125;0.8125 1 0.25;0.875 1 0.1875;0.9375 1 0.125;1 1 0.0625;1 1 0;1 0.9375 0;1 0.875 0;1 0.8125 0;1 0.75 0;1 0.6875 0;1 0.625 0;1 0.5625 0;1 0.5 0;1 0.4375 0;1 0.375 0;1 0.3125 0;1 0.25 0;1 0.1875 0;1 0.125 0;1 0.0625 0;1 0 0;0.9375 0 0;0.875 0 0;0.8125 0 0;0.75 0 0;0.6875 0 0;0.625 0 0;0.5625 0 0],...
'IntegerHandle','off',...
'InvertHardcopy',get(0,'defaultfigureInvertHardcopy'),...
'MenuBar','none',...
'Name','mohr',...
'NumberTitle','off',...
'PaperPosition',get(0,'defaultfigurePaperPosition'),...
'Position',[80 10 112 32.3076923076923],...
'Renderer',get(0,'defaultfigureRenderer'),...
'RendererMode','manual',...
'Resize','off',...
'HandleVisibility','callback',...
'Tag','figure1',...
'UserData',zeros(1,0));

setappdata(h1, 'GUIDEOptions', struct(...
'active_h', 2.320065e+002, ...
'taginfo', struct(...
'figure', 2, ...
'text', 25, ...
'axes', 2, ...
'edit', 15, ...
'pushbutton', 4, ...
'frame', 7), ...
'override', 0, ...
'release', 13, ...
'resize', 'none', ...
'accessibility', 'callback', ...
'mfile', 1, ...
'callbacks', 1, ...
'singleton', 1, ...
'syscolorfig', 1, ...
'lastSavedFile', 'C:\matlab_r13\design\shigley\matlab_supplements_source\mohr.m'));


h2 = axes(...
'Parent',h1,...
'Units','characters',...
'CameraPosition',[0.5 0.5 9.16025403784439],...
'CameraPositionMode',get(0,'defaultaxesCameraPositionMode'),...
'Color',get(0,'defaultaxesColor'),...
'ColorOrder',get(0,'defaultaxesColorOrder'),...
'Position',[13 2.15384615384615 92.8 23.2307692307692],...
'XColor',get(0,'defaultaxesXColor'),...
'YColor',get(0,'defaultaxesYColor'),...
'ZColor',get(0,'defaultaxesZColor'),...
'Tag','axes1');


h3 = get(h2,'title');

set(h3,...
'Parent',h2,...
'Color',[0 0 0],...
'HorizontalAlignment','center',...
'Position',[0.498922413793103 1.02152317880795 1.00005459937205],...
'VerticalAlignment','bottom',...
'HandleVisibility','off');

h4 = get(h2,'xlabel');

set(h4,...
'Parent',h2,...
'Color',[0 0 0],...
'HorizontalAlignment','center',...
'Position',[0.498922413793103 -0.0778145695364239 1.00005459937205],...
'VerticalAlignment','cap',...
'HandleVisibility','off');

h5 = get(h2,'ylabel');

set(h5,...
'Parent',h2,...
'Color',[0 0 0],...
'HorizontalAlignment','center',...
'Position',[-0.0614224137931034 0.495033112582781 1.00005459937205],...
'Rotation',90,...
'VerticalAlignment','bottom',...
'HandleVisibility','off');

h6 = get(h2,'zlabel');

set(h6,...
'Parent',h2,...
'Color',[0 0 0],...
'HorizontalAlignment','right',...
'Position',[-0.141163793103448 1.29304635761589 1.00005459937205],...
'HandleVisibility','off',...
'Visible','off');

h7 = uicontrol(...
'Parent',h1,...
'Units','characters',...
'ForegroundColor',[0 0.501960784313725 0],...
'ListboxTop',0,...
'Position',[87.2 28 24 4.15384615384615],...
'String',{ '' },...
'Style','frame',...
'Tag','frame6');


h8 = uicontrol(...
'Parent',h1,...
'Units','characters',...
'Callback','mohr_export(''pushbutton_plot_3d_Callback'',gcbo,[],guidata(gcbo))',...
'ListboxTop',0,...
'Position',[50.4 28.2307692307692 6.8 2.30769230769231],...
'String',{ 'Plot' '3 Circles' },...
'Tag','pushbutton_plot_3d');


h9 = uicontrol(...
'Parent',h1,...
'Units','characters',...
'ListboxTop',0,...
'Position',[1.2 28.0769230769231 30 4],...
'String',{ '' },...
'Style','frame',...
'Tag','frame2');


h10 = uicontrol(...
'Parent',h1,...
'Units','characters',...
'BackgroundColor',[1 1 1],...
'Callback','mohr_export(''edit_sigma_x_Callback'',gcbo,[],guidata(gcbo))',...
'ListboxTop',0,...
'Position',[2.8 28.2307692307692 8 1.61538461538462],...
'String','80',...
'Style','edit',...
'CreateFcn','mohr_export(''edit_sigma_x_CreateFcn'',gcbo,[],guidata(gcbo))',...
'Tag','edit_sigma_x');


h11 = uicontrol(...
'Parent',h1,...
'Units','characters',...
'ListboxTop',0,...
'Position',[2 29.6153846153846 10 1.15384615384615],...
'String','sigma_x',...
'Style','text',...
'Tag','text7');


h12 = uicontrol(...
'Parent',h1,...
'Units','characters',...
'BackgroundColor',[1 1 1],...
'Callback','mohr_export(''edit_sigma_y_Callback'',gcbo,[],guidata(gcbo))',...
'ListboxTop',0,...
'Position',[12.6 28.3076923076923 8 1.61538461538462],...
'String','0',...
'Style','edit',...
'CreateFcn','mohr_export(''edit_sigma_y_CreateFcn'',gcbo,[],guidata(gcbo))',...
'Tag','edit_sigma_y');


h13 = uicontrol(...
'Parent',h1,...
'Units','characters',...
'ListboxTop',0,...
'Position',[12.4 29.6923076923077 10 1.15384615384615],...
'String','sigma_y',...
'Style','text',...
'Tag','text8');


h14 = uicontrol(...
'Parent',h1,...
'Units','characters',...
'ListboxTop',0,...
'Position',[7.6 30.6153846153846 17.8 1.23076923076923],...
'String','biaxial stresses',...
'Style','text',...
'Tag','text9');


h15 = uicontrol(...
'Parent',h1,...
'Units','characters',...
'BackgroundColor',[1 1 1],...
'Callback','mohr_export(''edit_tau_xy_Callback'',gcbo,[],guidata(gcbo))',...
'ListboxTop',0,...
'Position',[22.4 28.3076923076923 8 1.61538461538462],...
'String','50',...
'Style','edit',...
'CreateFcn','mohr_export(''edit_tau_xy_CreateFcn'',gcbo,[],guidata(gcbo))',...
'Tag','edit_tau_xy');


h16 = uicontrol(...
'Parent',h1,...
'Units','characters',...
'ListboxTop',0,...
'Position',[22.4 29.6923076923077 8 1.15384615384615],...
'String','tau_xy',...
'Style','text',...
'Tag','text10');


h17 = uicontrol(...
'Parent',h1,...
'Units','characters',...
'ForegroundColor',[0 0.501960784313725 0],...
'ListboxTop',0,...
'Position',[62.2 27.9230769230769 24 4.15384615384615],...
'String',{ '' },...
'Style','frame',...
'Tag','frame4');


h18 = uicontrol(...
'Parent',h1,...
'Units','characters',...
'BackgroundColor',[1 1 1],...
'Callback','mohr_export(''edit_sigma_1_Callback'',gcbo,[],guidata(gcbo))',...
'FontWeight','bold',...
'ForegroundColor',[0 0.501960784313725 0.501960784313725],...
'ListboxTop',0,...
'Position',[63.4 28.3076923076923 10 1.61538461538462],...
'String','',...
'Style','edit',...
'CreateFcn','mohr_export(''edit_sigma_1_CreateFcn'',gcbo,[],guidata(gcbo))',...
'Tag','edit_sigma_1');


h19 = uicontrol(...
'Parent',h1,...
'Units','characters',...
'ListboxTop',0,...
'Position',[64.6 29.6923076923077 10 1.15384615384615],...
'String','sigma_1',...
'Style','text',...
'Tag','text15');


h20 = uicontrol(...
'Parent',h1,...
'Units','characters',...
'BackgroundColor',[1 1 1],...
'Callback','mohr_export(''edit_sigma_2_Callback'',gcbo,[],guidata(gcbo))',...
'FontWeight','bold',...
'ForegroundColor',[0 0.501960784313725 0.501960784313725],...
'ListboxTop',0,...
'Position',[74.8 28.3076923076923 10 1.61538461538462],...
'String','',...
'Style','edit',...
'CreateFcn','mohr_export(''edit_sigma_2_CreateFcn'',gcbo,[],guidata(gcbo))',...
'Tag','edit_sigma_2');


h21 = uicontrol(...
'Parent',h1,...
'Units','characters',...
'ListboxTop',0,...
'Position',[75.2 29.6923076923077 10 1.15384615384615],...
'String','sigma_2',...
'Style','text',...
'Tag','text16');


h22 = uicontrol(...
'Parent',h1,...
'Units','characters',...
'ListboxTop',0,...
'Position',[66.2 30.7692307692308 20 1.15384615384615],...
'String','principle stresses',...
'Style','text',...
'Tag','text17');


h23 = uicontrol(...
'Parent',h1,...
'Units','characters',...
'BackgroundColor',[1 1 1],...
'Callback','mohr_export(''edit_tau_max_3d_Callback'',gcbo,[],guidata(gcbo))',...
'FontWeight','bold',...
'ForegroundColor',[0 0.501960784313725 0.501960784313725],...
'ListboxTop',0,...
'Position',[99.8 28.3076923076923 10 1.61538461538462],...
'String','',...
'Style','edit',...
'CreateFcn','mohr_export(''edit_tau_max_3d_CreateFcn'',gcbo,[],guidata(gcbo))',...
'Tag','edit_tau_max_3d');


h24 = uimenu(...
'Parent',h1,...
'Callback','mohr_export(''file_menu_Callback'',gcbo,[],guidata(gcbo))',...
'Label','File',...
'Tag','file_menu');

h25 = uimenu(...
'Parent',h24,...
'Callback','mohr_export(''print_submenu_Callback'',gcbo,[],guidata(gcbo))',...
'Label','Print',...
'Tag','print_submenu');

h26 = uimenu(...
'Parent',h24,...
'Callback','mohr_export(''exit_submenu_Callback'',gcbo,[],guidata(gcbo))',...
'Label','Exit',...
'Tag','exit_submenu');

h27 = uicontrol(...
'Parent',h1,...
'Units','characters',...
'ListboxTop',0,...
'Position',[99.2 29.6923076923077 10 1.15384615384615],...
'String','triaxial',...
'Style','text',...
'Tag','text18');


h28 = uicontrol(...
'Parent',h1,...
'Units','characters',...
'Callback','mohr_export(''pushbutton_plot_2d_Callback'',gcbo,[],guidata(gcbo))',...
'ListboxTop',0,...
'Position',[36.2 28.3076923076923 6.8 2.30769230769231],...
'String','Plot',...
'Tag','pushbutton_plot_2d');


h29 = uicontrol(...
'Parent',h1,...
'Units','characters',...
'ListboxTop',0,...
'Position',[32.6 30.4615384615385 13 1.15384615384615],...
'String','Mohr Circle',...
'Style','text',...
'Tag','text20');


h30 = uicontrol(...
'Parent',h1,...
'Units','characters',...
'ListboxTop',0,...
'Position',[46.2 30.4615384615385 15 1.15384615384615],...
'String','Mohr 3 Circles',...
'Style','text',...
'Tag','text21');


h31 = uicontrol(...
'Parent',h1,...
'Units','characters',...
'ListboxTop',0,...
'Position',[94 30.9230769230769 10 1.15384615384615],...
'String','tau_max',...
'Style','text',...
'Tag','text22');


h32 = uicontrol(...
'Parent',h1,...
'Units','characters',...
'BackgroundColor',[1 1 1],...
'Callback','mohr_export(''edit_tau_max_2d_Callback'',gcbo,[],guidata(gcbo))',...
'FontWeight','bold',...
'ForegroundColor',[0 0.501960784313725 0.501960784313725],...
'ListboxTop',0,...
'Position',[88.4 28.3076923076923 10 1.61538461538462],...
'String','',...
'Style','edit',...
'CreateFcn','mohr_export(''edit_tau_max_2d_CreateFcn'',gcbo,[],guidata(gcbo))',...
'Tag','edit_tau_max_2d');


h33 = uicontrol(...
'Parent',h1,...
'Units','characters',...
'ListboxTop',0,...
'Position',[88.6 29.6923076923077 10 1.23076923076923],...
'String','biaxial',...
'Style','text',...
'Tag','text23');


h34 = uicontrol(...
'Parent',h1,...
'Units','characters',...
'FontWeight','bold',...
'ListboxTop',0,...
'Position',[17 -0.0769230769230769 92 1.07692307692308],...
'String','Software copyright  2004 by The McGraw-Hill Companies, Inc. All rights reserved. ',...
'Style','text',...
'Tag','text24');


h35 = uimenu(...
'Parent',h1,...
'Callback','mohr_export(''help_menu_Callback'',gcbo,[],guidata(gcbo))',...
'Label','Help',...
'Tag','help_menu');

h36 = uimenu(...
'Parent',h35,...
'Callback','mohr_export(''overview_submenu_Callback'',gcbo,[],guidata(gcbo))',...
'Label','Overview',...
'Tag','overview_submenu');

h37 = uimenu(...
'Parent',h35,...
'Callback','mohr_export(''about_submenu_Callback'',gcbo,[],guidata(gcbo))',...
'Label','About . . .',...
'Tag','about_submenu');


hsingleton = h1;


% --- Handles default GUIDE GUI creation and callback dispatch
function varargout = gui_mainfcn(gui_State, varargin)


%   GUI_MAINFCN provides these command line APIs for dealing with GUIs
%
%      MOHR_EXPORT, by itself, creates a new MOHR_EXPORT or raises the existing
%      singleton*.
%
%      H = MOHR_EXPORT returns the handle to a new MOHR_EXPORT or the handle to
%      the existing singleton*.
%
%      MOHR_EXPORT('CALLBACK',hObject,eventData,handles,...) calls the local
%      function named CALLBACK in MOHR_EXPORT.M with the given input arguments.
%
%      MOHR_EXPORT('Property','Value',...) creates a new MOHR_EXPORT or raises the
%      existing singleton*.  Starting from the left, property value pairs are
%      applied to the GUI before untitled_OpeningFunction gets called.  An
%      unrecognized property name or invalid value makes property application
%      stop.  All inputs are passed to untitled_OpeningFcn via varargin.
%
%      *See GUI Options on GUIDE's Tools menu.  Choose "GUI allows only one
%      instance to run (singleton)".

%   Copyright 1984-2002 The MathWorks, Inc.
%   $Revision: 1.4 $ $Date: 2002/05/31 21:44:31 $

gui_StateFields =  {'gui_Name'
                    'gui_Singleton'
                    'gui_OpeningFcn'
                    'gui_OutputFcn'
                    'gui_LayoutFcn'
                    'gui_Callback'};
gui_Mfile = '';
for i=1:length(gui_StateFields)
    if ~isfield(gui_State, gui_StateFields{i})
        error('Could not find field %s in the gui_State struct in GUI M-file %s', gui_StateFields{i}, gui_Mfile);        
    elseif isequal(gui_StateFields{i}, 'gui_Name')
        gui_Mfile = [getfield(gui_State, gui_StateFields{i}), '.m'];
    end
end

numargin = length(varargin);

if numargin == 0
    % MOHR_EXPORT
    % create the GUI
    gui_Create = 1;
elseif numargin > 3 & ischar(varargin{1}) & ishandle(varargin{2})
    % MOHR_EXPORT('CALLBACK',hObject,eventData,handles,...)
    gui_Create = 0;
else
    % MOHR_EXPORT(...)
    % create the GUI and hand varargin to the openingfcn
    gui_Create = 1;
end

if gui_Create == 0
    varargin{1} = gui_State.gui_Callback;
    if nargout
        [varargout{1:nargout}] = feval(varargin{:});
    else
        feval(varargin{:});
    end
else
    if gui_State.gui_Singleton
        gui_SingletonOpt = 'reuse';
    else
        gui_SingletonOpt = 'new';
    end
    
    % Open fig file with stored settings.  Note: This executes all component
    % specific CreateFunctions with an empty HANDLES structure.
    
    % Do feval on layout code in m-file if it exists
    if ~isempty(gui_State.gui_LayoutFcn)
        gui_hFigure = feval(gui_State.gui_LayoutFcn, gui_SingletonOpt);
    else
        gui_hFigure = local_openfig(gui_State.gui_Name, gui_SingletonOpt);            
        % If the figure has InGUIInitialization it was not completely created
        % on the last pass.  Delete this handle and try again.
        if isappdata(gui_hFigure, 'InGUIInitialization')
            delete(gui_hFigure);
            gui_hFigure = local_openfig(gui_State.gui_Name, gui_SingletonOpt);            
        end
    end
    
    % Set flag to indicate starting GUI initialization
    setappdata(gui_hFigure,'InGUIInitialization',1);

    % Fetch GUIDE Application options
    gui_Options = getappdata(gui_hFigure,'GUIDEOptions');
    
    if ~isappdata(gui_hFigure,'GUIOnScreen')
        % Adjust background color
        if gui_Options.syscolorfig 
            set(gui_hFigure,'Color', get(0,'DefaultUicontrolBackgroundColor'));
        end

        % Generate HANDLES structure and store with GUIDATA
        guidata(gui_hFigure, guihandles(gui_hFigure));
    end
    
    % If user specified 'Visible','off' in p/v pairs, don't make the figure
    % visible.
    gui_MakeVisible = 1;
    for ind=1:2:length(varargin)
        if length(varargin) == ind
            break;
        end
        len1 = min(length('visible'),length(varargin{ind}));
        len2 = min(length('off'),length(varargin{ind+1}));
        if ischar(varargin{ind}) & ischar(varargin{ind+1}) & ...
                strncmpi(varargin{ind},'visible',len1) & len2 > 1
            if strncmpi(varargin{ind+1},'off',len2)
                gui_MakeVisible = 0;
            elseif strncmpi(varargin{ind+1},'on',len2)
                gui_MakeVisible = 1;
            end
        end
    end
    
    % Check for figure param value pairs
    for index=1:2:length(varargin)
        if length(varargin) == index
            break;
        end
        try, set(gui_hFigure, varargin{index}, varargin{index+1}), catch, break, end
    end

    % If handle visibility is set to 'callback', turn it on until finished
    % with OpeningFcn
    gui_HandleVisibility = get(gui_hFigure,'HandleVisibility');
    if strcmp(gui_HandleVisibility, 'callback')
        set(gui_hFigure,'HandleVisibility', 'on');
    end
    
    feval(gui_State.gui_OpeningFcn, gui_hFigure, [], guidata(gui_hFigure), varargin{:});
    
    if ishandle(gui_hFigure)
        % Update handle visibility
        set(gui_hFigure,'HandleVisibility', gui_HandleVisibility);
        
        % Make figure visible
        if gui_MakeVisible
            set(gui_hFigure, 'Visible', 'on')
            if gui_Options.singleton 
                setappdata(gui_hFigure,'GUIOnScreen', 1);
            end
        end

        % Done with GUI initialization
        rmappdata(gui_hFigure,'InGUIInitialization');
    end
    
    % If handle visibility is set to 'callback', turn it on until finished with
    % OutputFcn
    if ishandle(gui_hFigure)
        gui_HandleVisibility = get(gui_hFigure,'HandleVisibility');
        if strcmp(gui_HandleVisibility, 'callback')
            set(gui_hFigure,'HandleVisibility', 'on');
        end
        gui_Handles = guidata(gui_hFigure);
    else
        gui_Handles = [];
    end
    
    if nargout
        [varargout{1:nargout}] = feval(gui_State.gui_OutputFcn, gui_hFigure, [], gui_Handles);
    else
        feval(gui_State.gui_OutputFcn, gui_hFigure, [], gui_Handles);
    end
    
    if ishandle(gui_hFigure)
        set(gui_hFigure,'HandleVisibility', gui_HandleVisibility);
    end
end    

function gui_hFigure = local_openfig(name, singleton)
if nargin('openfig') == 3 
    gui_hFigure = openfig(name, singleton, 'auto');
else
    % OPENFIG did not accept 3rd input argument until R13,
    % toggle default figure visible to prevent the figure
    % from showing up too soon.
    gui_OldDefaultVisible = get(0,'defaultFigureVisible');
    set(0,'defaultFigureVisible','off');
    gui_hFigure = openfig(name, singleton);
    set(0,'defaultFigureVisible',gui_OldDefaultVisible);
end

